Channels
Explicitly transfer or recover channel management
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
workspaceId*stringLength
1 <= lengthchannelId*stringLength
1 <= length- body
projectId*stringLength
1 <= lengthexpectedRevision*integerRange
1 <= valueResponse for status 200
application/json- response
result*stringValue in
"changed""unchanged"revision*integercurl -X POST 'https://postdot.example/api/workspaces/string/channels/string/management' \
-H 'Content-Type: application/json' \
-d '{
"projectId": "string",
"expectedRevision": 1
}'Example Response
{
"result": "changed",
"revision": 0
}